﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace  Tuc.Control
{
    
    class PidController
    {

        public double r; //Reference Value
        public double Kp; //Proportional Gain for PID Controler
        public double Ti; //Integral Time for PID Controler
        public double Ts; //Sampling Time

        private double z; //Internal variable

             

        public double PiController(double y) 
        {
            double e; // Error between Reference and Measurement
            double u; // Controller Output

            //PID Algoritm
            e = r - y;
            u = Kp * e + (Kp / Ti) * z;
            z = z + Ts * e;

            return u;
        }

    }
}
