﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Usn.Control
{
    public class Pid
    {

        public double r; //Reference Value
        public double Kp; //Proportional Gain for PID Controler
        public double Ti; //Integral Time for PID Controler
        public double Ts; //Sampling Time

        private double z; //Internal variable

        public double PiController(double y)
        {
            double e; // Error between Reference and Measurement
            double u; // Controller Output

            //PI Algoritm
            e = r - y;
            u = Kp * e + (Kp / Ti) * z;
            z = z + Ts * e;

            return u;
        }
    }
}
