﻿using System;
using System.Windows.Forms;
using NationalInstruments.DAQmx;

namespace DAQReadwithTimer
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            timer1.Interval = 1000;//ms
            timer1.Start();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {

            Task analogInTask = new Task();

            AIChannel myAIChannel;

            myAIChannel = analogInTask.AIChannels.CreateVoltageChannel(
                "dev1/ai0",
                "myAIChannel",
                AITerminalConfiguration.Differential,
                0,
                10,
                AIVoltageUnits.Volts
                );

            AnalogSingleChannelReader reader = new AnalogSingleChannelReader(analogInTask.Stream);

            double analogDataIn = reader.ReadSingleSample();

            txtDaqRead.Text = analogDataIn.ToString("0.00");

        }
    }
}
