IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'GetMeasurementData' 
	   AND 	  type = 'V')
	DROP VIEW GetMeasurementData
GO

CREATE VIEW GetMeasurementData
AS

SELECT
SENSOR.SensorId, 
SENSOR.SensorName, 
MEASUREMENTDATA.MeasurementId, 
MEASUREMENTDATA.MeasurementTimeStamp, 
MEASUREMENTDATA.MeasurementValue, 
MEASUREMENTDATA.FahrenheitValue

FROM MEASUREMENTDATA 
INNER JOIN SENSOR ON MEASUREMENTDATA.SensorId = SENSOR.SensorId

GO
