﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Tuc.Control
{
    class ProcessModel
    {

        public double Ts;
        private double h_k;


        public ProcessModel(double Ts_in)
        {

            Ts = Ts_in;
        }

        public double LevelTankModel(double u)
        {

            double At = 78.5; //Tank Area [cm^2]
            double Fout=20;
            double K = 16.5; //Pump Gain [cm^3/s]
            double h=0;
            
            h = h_k + (Ts/At)*(K*u-Fout);

            if (h > 20)
                h = 20;
            if (h < 0)
                h = 0;

            h_k = h;

            return h;
        }

    }
}
