﻿using System;
using System.Windows.Forms;
using NationalInstruments.DAQmx;

namespace DAQWrite
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnWrite_Click(object sender, EventArgs e)
        {
            Task analogOutTask = new Task();
            AOChannel myAOChannel;

            myAOChannel = analogOutTask.AOChannels.CreateVoltageChannel(
                          "dev1/ao0",
                          "myAOChannel",
                          0,
                          5,
                          AOVoltageUnits.Volts
                          );

            AnalogSingleChannelWriter writer = new
                   AnalogSingleChannelWriter(analogOutTask.Stream);

            double analogDataOut;
            analogDataOut = Convert.ToDouble(txtDaqWrite.Text);

            writer.WriteSingleSample(true, analogDataOut);

        }
    }
}
