IF EXISTS (SELECT name 
   FROM   sysobjects 
   WHERE  name = 'SaveMeasurementData' 
   AND   type = 'P')
DROP PROCEDURE SaveMeasurementData
GO

CREATE PROCEDURE SaveMeasurementData
@SensorName varchar(50),
@MeasurementValue float
AS

DECLARE
@SensorId int

select @SensorId = SensorId from SENSOR where SensorName = @SensorName


insert into MEASUREMENTDATA (SensorId, MeasurementValue, MeasurementTimeStamp) values (@SensorId, @MeasurementValue, getdate())

GO
