﻿using System;
using System.Data;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;
using System.Configuration;

namespace Save_Data_to_Database
{
    public partial class Form1 : Form
    {
         string connectionString = ConfigurationManager.ConnectionStrings["DatabaseConnectionString"].ConnectionString;

        public Form1()
        {
            InitializeComponent();
        }

        private void btnSaveData_Click(object sender, EventArgs e)
        {

            SaveMeasurementData();

        }

        void SaveMeasurementData()
        {
            string sensorName;
            double measurementValue;

            sensorName = txtSensorName.Text;
            measurementValue = Convert.ToDouble(txtMeasurementValue.Text);

            try
            {
                using (SqlConnection con = new SqlConnection(connectionString))
                {
                    SqlCommand cmd = new SqlCommand("SaveMeasurementData", con);
                    cmd.CommandType = CommandType.StoredProcedure;

                    cmd.Parameters.Add(new SqlParameter("@SensorName", sensorName));
                    cmd.Parameters.Add(new SqlParameter("@MeasurementValue", measurementValue));
            
                    con.Open();
                    cmd.ExecuteNonQuery();
                    con.Close();
                }

            }
            catch (Exception ex)
            {
                throw ex;
            }

        }
    }
}
